Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ld.dsmediator.client
Interface PreparedExpression

All Known Subinterfaces:
  StreamingPreparedExpression

public interface PreparedExpression

This class is used to prepare and execute ad hoc queries.

Method Summary
`void` | `bindBinary(javax.xml.namespace.QName qname, byte[] abyte0)` binds Binary DataType
`void` | `bindBinaryXML(javax.xml.namespace.QName qname, byte[] abyte0)` binds BinaryXML DataType
`void` | `bindBoolean(javax.xml.namespace.QName qname, boolean flag)` binds Boolean DataType
`void` | `bindByte(javax.xml.namespace.QName qname, byte byte0)` binds Byte DataType
`void` | `bindDate(javax.xml.namespace.QName qname, java.sql.Date date)` binds Date DataType
`void` | `bindDateTime(javax.xml.namespace.QName qname, java.util.Calendar calendar)` binds Calendar DataType
`void` | `bindDateTime(javax.xml.namespace.QName qname, java.util.Date date)` binds DateTime DataType
`void` | `bindDateTime(javax.xml.namespace.QName qname, java.sql.Timestamp timestamp)` binds DateTime DataType
`void` | `bindDecimal(javax.xml.namespace.QName qname, java.math.BigDecimal bigdecimal)` binds BigDecimal DataType
`void` | `bindDouble(javax.xml.namespace.QName qname, double d)` binds double DataType
`void` | `bindElement(javax.xml.namespace.QName qname, org.w3c.dom.Element element)` binds Element DataType
`void` | `bindElement(javax.xml.namespace.QName qname, java.lang.String s)` binds Object DataType
`void` | `bindFloat(javax.xml.namespace.QName qname, float f)` binds float DataType
`void` | `bindInt(javax.xml.namespace.QName qname, int i)` binds int DataType
`void` | `bindLong(javax.xml.namespace.QName qname, long l)` binds long DataType
`void` | `bindObject(javax.xml.namespace.QName qname, java.lang.Object obj)` binds Object DataType
`void` | `bindShort(javax.xml.namespace.QName qname, short word0)` binds short DataType
`void` | `bindString(javax.xml.namespace.QName qname, java.lang.String s)` binds String DataType
`void` | `bindTime(javax.xml.namespace.QName qname, java.sql.Time time)` binds Time DataType
`void` | `bindURI(javax.xml.namespace.QName qname, java.net.URI uri)` binds URI DataType
`com.bea.xml.XmlObject` | `executeQuery()` Executes the prepared query.
`void` | `setQueryAttributes(QueryAttributes qattributes)` Sets the Query Attributes
`void` | `writeOutputToFile(java.lang.String fileName)` Writes the result of function invocation to a file.

Method Detail

### executeQuery

    public com.bea.xml.XmlObject executeQuery()
                                       throws SDOMediatorException

  Executes the prepared query. BEA recommends users have the Service Data Object of the returned form in the classpath. To get string output, use XmlObject's toString() method.

  Returns:
    The Xml Object Result
  Throws:
    SDOMediatorException -

### bindBinary

    public void bindBinary(javax.xml.namespace.QName qname,
                           byte[] abyte0)

  binds Binary DataType

  Parameters:
    `qname` - The Qname
    `abyte0` - The Byte array

### bindBoolean

    public void bindBoolean(javax.xml.namespace.QName qname,
                            boolean flag)

  binds Boolean DataType

  Parameters:
    `qname` - The Qname
    `flag` - The Boolean value

### bindByte

    public void bindByte(javax.xml.namespace.QName qname,
                         byte byte0)

  binds Byte DataType

  Parameters:
    `qname` - The Qname
    `byte0` - The byte value

### bindDate

    public void bindDate(javax.xml.namespace.QName qname,
                         java.sql.Date date)

  binds Date DataType

  Parameters:
    `qname` - The Qname
    `date` - The Date value

### bindDateTime

    public void bindDateTime(javax.xml.namespace.QName qname,
                             java.util.Date date)

  binds DateTime DataType

  Parameters:
    `qname` - The Qname
    `date` - The Date value

### bindDateTime

    public void bindDateTime(javax.xml.namespace.QName qname,
                             java.sql.Timestamp timestamp)

  binds DateTime DataType

  Parameters:
    `qname` - The Qname
    `timestamp` - The Timestamp value

### bindDateTime

    public void bindDateTime(javax.xml.namespace.QName qname,
                             java.util.Calendar calendar)

  binds Calendar DataType

  Parameters:
    `qname` - The Qname
    `calendar` - The Calendar value

### bindDecimal

    public void bindDecimal(javax.xml.namespace.QName qname,
                            java.math.BigDecimal bigdecimal)

  binds BigDecimal DataType

  Parameters:
    `qname` - The Qname
    `bigdecimal` - The BigDecimal value

### bindDouble

    public void bindDouble(javax.xml.namespace.QName qname,
                           double d)

  binds double DataType

  Parameters:
    `qname` - The Qname
    `d` - The double value

### bindFloat

    public void bindFloat(javax.xml.namespace.QName qname,
                          float f)

  binds float DataType

  Parameters:
    `qname` - The Qname
    `f` - The float value

### bindInt

    public void bindInt(javax.xml.namespace.QName qname,
                        int i)

  binds int DataType

  Parameters:
    `qname` - The Qname
    `i` - The Integer value

### bindLong

    public void bindLong(javax.xml.namespace.QName qname,
                         long l)

  binds long DataType

  Parameters:
    `qname` - The Qname
    `l` - The long value

### bindShort

    public void bindShort(javax.xml.namespace.QName qname,
                          short word0)

  binds short DataType

  Parameters:
    `qname` - The Qname
    `word0` - The short value

### bindString

    public void bindString(javax.xml.namespace.QName qname,
                           java.lang.String s)

  binds String DataType

  Parameters:
    `qname` - The Qname
    `s` - The String value

### bindTime

    public void bindTime(javax.xml.namespace.QName qname,
                         java.sql.Time time)

  binds Time DataType

  Parameters:
    `qname` - The Qname
    `time` - The Time value

### bindURI

    public void bindURI(javax.xml.namespace.QName qname,
                        java.net.URI uri)

  binds URI DataType

  Parameters:
    `qname` - The Qname
    `uri` - The URI value

### bindObject

    public void bindObject(javax.xml.namespace.QName qname,
                           java.lang.Object obj)

  binds Object DataType

  Parameters:
    `qname` - The Qname
    `obj` - The Object value

### bindElement

    public void bindElement(javax.xml.namespace.QName qname,
                            java.lang.String s)

  binds Object DataType

  Parameters:
    `qname` - The Qname
    `s` - The Element value

### bindElement

    public void bindElement(javax.xml.namespace.QName qname,
                            org.w3c.dom.Element element)

  binds Element DataType

  Parameters:
    `qname` - The Qname
    `element` - The Element value

### bindBinaryXML

    public void bindBinaryXML(javax.xml.namespace.QName qname,
                              byte[] abyte0)

  binds BinaryXML DataType

  Parameters:
    `qname` - The Qname
    `abyte0` - The BinaryXML value

### setQueryAttributes

    public void setQueryAttributes(QueryAttributes qattributes)

  Sets the Query Attributes

  Parameters:
    `qattributes` -

### writeOutputToFile

    public void writeOutputToFile(java.lang.String fileName)
                           throws java.lang.Exception

  Writes the result of function invocation to a file. Takes as an argument the name of a file on the server into which serialized results are written. The base of the file is the domain root. The filename must make sense to the host server process (it will be passed directly to a FileWriter). This filename must be in an existing directory on the server; the server will not attempt to create the output directory.
  This method can be used from a remote client.

  Parameters:
    `fileName` - The file name
  Throws:
    com.bea.ld.dsmediator.client.exception.ServerPrepareException -

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Bea Systems Inc. All Rights Reserved.